﻿:root {
    --red: #e63946;
    --dark-text: #1d3557;
    --font: "Poppins", sans-serif;
}

body {
    font-family: var(--font);
}

.navbar-simple {
    width: 100%;
    height: 80px;
    background-color: #ffffff;
    display: flex;
    align-items: center;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.05);
    position: sticky;
    top: 0;
    z-index: 1000;
}

.nav-container {
    width: 90%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
}

/* LOGO STYLING */
.nav-left {
    display: flex;
    align-items: center;
    gap: 15px;
    flex-shrink: 0;
}

.nav-logo {
    height: 100px;
    width: 100px;
    border-radius: 50%;
    object-fit: cover;
}

.nav-back-arrow {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 35px;
    height: 35px;
    border-radius: 8px;
    color: var(--red);
    background: rgba(0, 0, 0, 0.05); 
    text-decoration: none;
    transition: all 0.2s ease;
}

.nav-back-arrow:hover {
    transform: translateX(-3px);
}


/* MENU STYLING */
.nav-menu {
    display: flex;
    list-style: none;
    gap: 30px;
    align-items: center;
    margin: 0;
    padding: 0;
}

.nav-menu a {
    text-decoration: none;
    color: var(--red);
    font-weight: 500;
    font-size: 16px;
    transition: 0.3s;
}
.btn-signUp,
.btn-navlogin,
.btn-logout-small {
    padding: 8px 16px;
    border-radius: 8px;
    font-size: 14px;
    font-weight: 600;
    text-decoration: none;
    white-space: nowrap;
    transition: 0.3s;
}

.btn-register {
    background-color: var(--red);
    color: white !important;
}

.btn-logout-small {
    background-color: var(--red);
    color: white !important;
}

@media screen and (max-width: 480px) {
    .nav-container {
        width: 100%; 
        padding: 0 10px;
        box-sizing: border-box
    }

    .nav-logo {
        height: 70px;
        width: 70px;
    }

    .nav-actions {
        gap: 5px;
    }

    .nav-menu {
        gap: 15px;
    }

    .btn-signUp,
    .btn-navlogin,
    .btn-register,
    .btn-logout-small {
        padding: 6px 10px;
        font-size: 10px;
    }

    .btn-signUp {
        padding: 5px 8px;
        height:40px;
        width: 10px;
        font-size: 11px !important; 
        display: inline-flex;
        align-items: center;
        justify-content: center;
        min-width: fit-content;
        line-height: 1.2;
    }

    .nav-icon-link {
        font-size: 18px;
    }

    .nav-left {
        gap: 5px;
    }
}